Bug 729572 - qcow2: Loading internal snapshot can corrupt image
Summary: qcow2: Loading internal snapshot can corrupt image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 08:41 UTC by Kevin Wolf
Modified: 2013-01-10 00:13 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.182.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 15:55:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1531 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2011-12-06 01:23:30 UTC

Description Kevin Wolf 2011-08-10 08:41:02 UTC
We don't support internal snapshots, but it's not compiled out, this is an image corruption bug and upstream has a fix. So let's fix it anyway.

Reproducible with this script:

qemu-img create -f qcow2 /tmp/sn.qcow2 64M
qemu-img snapshot -c foo /tmp/sn.qcow2
qemu-io -c 'write -b 0 4M' /tmp/sn.qcow2
qemu-img snapshot -a foo /tmp/sn.qcow2
qemu-img check /tmp/sn.qcow2

Comment 5 juzhang 2011-08-31 07:15:11 UTC
Reproduced this issue with qemu-kvm-0.12.1.2-2.180.el6 using comment0 steps.

Results:
#qemu-img check /tmp/sn.qcow2
ERROR cluster 1 refcount=0 reference=1
ERROR cluster 7 refcount=0 reference=1
ERROR cluster 8 refcount=0 reference=1
ERROR cluster 9 refcount=0 reference=1
ERROR cluster 10 refcount=0 reference=1
ERROR cluster 11 refcount=0 reference=1
ERROR cluster 12 refcount=0 reference=1
ERROR cluster 13 refcount=0 reference=1
ERROR cluster 14 refcount=0 reference=1
ERROR cluster 15 refcount=0 reference=1
ERROR cluster 16 refcount=0 reference=1

Verified this issue with  qemu-kvm-0.12.1.2-2.184.el6

Results:
#qemu-img check /tmp/sn.qcow2
No errors were found on the image.

This issue has been fixed.

Comment 7 errata-xmlrpc 2011-12-06 15:55:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1531.html


Note You need to log in before you can comment on or make changes to this bug.